Package org.apache.synapse.commons.evaluators

## Class EvaluatorConstants

- java.lang.Object
- - org.apache.synapse.commons.evaluators.EvaluatorConstants

-     public class EvaluatorConstants
      extends Object

  Constants used through out the evaluators

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `EvaluatorConstants.URI_FRAGMENTS` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `AND` |
    `static String` | `CONDITION` |
    `static String` | `CONDITIONS` |
    `static String` | `DEFAULT_PRIORITY` |
    `static String` | `EMPTY_PREFIX` |
    `static String` | `EQUAL` |
    `static String` | `HEADER` |
    `static String` | `MATCH` |
    `static String` | `NOT` |
    `static String` | `OR` |
    `static String` | `PARAM` |
    `static String` | `PRIORITY` |
    `static String` | `PROPERTY` |
    `static String` | `REGEX` |
    `static String` | `SOAP` |
    `static String` | `SOURCE` |
    `static String` | `SYNAPSE_NAMESPACE` |
    `static String` | `TYPE` |
    `static String` | `URL` |
    `static String` | `VALUE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvaluatorConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AND

          public static final String AND

      See Also:
        Constant Field Values

    - #### OR

          public static final String OR

      See Also:
        Constant Field Values

    - #### NOT

          public static final String NOT

      See Also:
        Constant Field Values

    - #### MATCH

          public static final String MATCH

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final String EQUAL

      See Also:
        Constant Field Values

    - #### HEADER

          public static final String HEADER

      See Also:
        Constant Field Values

    - #### PARAM

          public static final String PARAM

      See Also:
        Constant Field Values

    - #### URL

          public static final String URL

      See Also:
        Constant Field Values

    - #### PROPERTY

          public static final String PROPERTY

      See Also:
        Constant Field Values

    - #### SOAP

          public static final String SOAP

      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

    - #### SOURCE

          public static final String SOURCE

      See Also:
        Constant Field Values

    - #### REGEX

          public static final String REGEX

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### CONDITIONS

          public static final String CONDITIONS

      See Also:
        Constant Field Values

    - #### CONDITION

          public static final String CONDITION

      See Also:
        Constant Field Values

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### DEFAULT_PRIORITY

          public static final String DEFAULT_PRIORITY

      See Also:
        Constant Field Values

    - #### SYNAPSE_NAMESPACE

          public static final String SYNAPSE_NAMESPACE

      See Also:
        Constant Field Values

    - #### EMPTY_PREFIX

          public static final String EMPTY_PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EvaluatorConstants

          public EvaluatorConstants()